Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class TempReadStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.TempReadStream

public class TempReadStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`nullPath, path`

Constructor Summary
`TempReadStream(TempBuffer cursor)`

Method Summary
`boolean` | `canRead()` Returns true if this is a read stream.
`void` | `close()` Closes the stream.
`int` | `getAvailable()` Returns the number of bytes available without blocking.
`void` | `init(TempBuffer cursor)`
`void` | `init(TempBuffer cursor, Path path)`
`int` | `read(byte[] buf, int offset, int length)` Reads the next chunk from the stream.
`void` | `setFreeWhenDone(boolean free)`

Methods inherited from class com.caucho.vfs.StreamImpl
`canWrite, clearWrite, flush, getAttribute, getAttributeNames, getFlushOnNewline, getNewline, getPath, getReadPosition, hasSkip, removeAttribute, setAttribute, setPath, skip, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TempReadStream

    public TempReadStream(TempBuffer cursor)

Method Detail

### init

    public void init(TempBuffer cursor,
                     Path path)

### init

    public void init(TempBuffer cursor)

### setFreeWhenDone

    public void setFreeWhenDone(boolean free)

### canRead

    public boolean canRead()

  Description copied from class: `StreamImpl`
  Returns true if this is a read stream.
  Overrides:
    `canRead` in class `StreamImpl`

### read

    public int read(byte[] buf,
                    int offset,
                    int length)
             throws java.io.IOException

  Description copied from class: `StreamImpl`
  Reads the next chunk from the stream.
  Overrides:
    `read` in class `StreamImpl`
  Following copied from class: `com.caucho.vfs.StreamImpl`
  Parameters:
    `buffer` - byte array receiving the data.
    `offset` - starting offset into the array.
    `length` - number of bytes to read.
  Returns:
    the number of bytes read or -1 on end of file.

### getAvailable

    public int getAvailable()
                     throws java.io.IOException

  Description copied from class: `StreamImpl`
  Returns the number of bytes available without blocking. Depending on the stream, this may return less than the actual bytes, but will always return a number > 0 if there is any data available.
  Overrides:
    `getAvailable` in class `StreamImpl`

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `StreamImpl`
  Closes the stream.
  Overrides:
    `close` in class `StreamImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD